node {
    imagename = 'spring-boot-web'
    acrrepository = 'krm5acr01.azurecr.io'
    dockerImage = ''
    stage='krm5' //ut=krm3 sit=krm5

    stage('git clone') {
        step([$class: 'WsCleanup'])
        checkout([
            $class: 'GitSCM', 
            branches: [[name: '*/master']], 
            doGenerateSubmoduleConfigurations: false, 
            extensions: [[$class: 'CleanCheckout']], 
            submoduleCfg: [], 
            userRemoteConfigs: [[
                credentialsId: 'jenkinsId',
                refspec: '+refs/heads/*:refs/remotes/origin/* +refs/merge-requests/*/head:refs/remotes/origin/merge-requests/*', 
                url: "http://10.62.172.157:1080/scbk/${imagename}.git"]]])            
    }
    stage('source build') {
        sh "echo ${imagename}"
        //sh "helm install ${imagename} ./charts --dry-run --debug"
        sh "helm upgrade --install ${imagename} ./charts --set image.tag=${env.BUILD_ID} --dry-run --debug"
    }
}